import { sum } from "./sum.js"
function concatenateU8Views(u8Views) {
	const result = new Uint8Array(sum(u8Views.map(({ length }) => length)))
	let offset = 0
	for (const u8View of u8Views) {
		result.set(u8View, offset)
		offset += u8View.length
	}
	return result
}
export { concatenateU8Views }
