/** Like `instanceof` but shallow.
  * @returns whether `object` is a direct instance of the constructor */
export declare const is: <C extends {
    prototype: any;
}>(object: any, constructor: C) => object is C["prototype"];
