const getRandomU52 = () => Math.floor(Math.random() * 2 ** 52)
let buffer = BigInt(getRandomU52()),
	bitsLeft = 52n
function getRandomU(bits) {
	for (; bitsLeft < bits; ) {
		buffer |= BigInt(getRandomU52()) << bitsLeft
		bitsLeft += 52n
	}
	const result = buffer & ((1n << bits) - 1n)
	buffer >>= bits
	bitsLeft -= bits
	return result
}
export { getRandomU, getRandomU52 }
