import { isRecord } from "./isRecord.js"
function setDeepObjectProperty(object, keys, value) {
	const lastKey = keys.pop()
	if (lastKey) {
		for (const key of keys) object = isRecord(object[key]) ? object[key] : (object[key] = {})
		object[lastKey] = value
	}
}
export { setDeepObjectProperty }
