import { writeFile, mkdir } from "fs/promises"
import { dirname } from "path"
const writeFilePersistent = (path, ...restOfWriteFileArguments) =>
	writeFile(path, ...restOfWriteFileArguments).catch(async error => {
		if ("ENOENT" != error.code) throw error
		await mkdir(dirname(path), { recursive: !0 })
		await writeFile(path, ...restOfWriteFileArguments)
	})
export { writeFilePersistent }
