export declare class AutoMap<K, V> extends Map<K, V> {
    private readonly fallbackHandler;
    constructor(fallbackHandler: (key: K) => V);
    get(key: K): V;
}
export declare class AutoWeakMap<K extends object, V> extends WeakMap<K, V> {
    private readonly fallbackHandler;
    constructor(fallbackHandler: (key: K) => V);
    get(key: K): V;
}
