class AssertError extends Error {}
Object.defineProperty(AssertError.prototype, "name", { value: "AssertError" })
function assert(value, message = "assertion failed") {
	if (!value) throw new AssertError("string" == typeof message ? message : message(value))
	return value
}
const ensure = assert
export { AssertError, assert, ensure }
