function clearObject(object, prototype) {
	for (const propertyName of Object.getOwnPropertyNames(object)) delete object[propertyName]
	for (const propertySymbol of Object.getOwnPropertySymbols(object)) delete object[propertySymbol]
	void 0 !== prototype && Object.setPrototypeOf(object, prototype)
}
export { clearObject }
