import { copyFile, mkdir } from "fs/promises"
import { dirname } from "path"
const copyFilePersistent = (source, destination, flags) =>
	copyFile(source, destination, flags).catch(async error => {
		if ("ENOENT" != error.code) throw error
		await mkdir(dirname(destination), { recursive: !0 })
		return copyFile(source, destination, flags)
	})
export { copyFilePersistent }
