/** @example
  * const lock = createLock()
  *
  * const lockingFunction = () => lock(async () => {
  *     // ...
  * }) */
export declare function createLock(): <T>(callback: () => Promise<T>) => Promise<T>;
