import { assert } from "./assert.js"
function* findMatches(regex, string) {
	assert(regex.global, "regex must have global flag")
	let current
	for (; (current = regex.exec(string)); ) yield { index: current.index, match: current[1] || current[0] }
}
export { findMatches }
