import { readdir, stat } from "fs/promises"
import { resolve } from "path"
const readDirectoryWithStats = async path =>
	Promise.all(
		(await readdir(path)).map(async name => {
			const resolvedPath = resolve(path, name)
			return { path: resolvedPath, name, stats: await stat(resolvedPath) }
		})
	)
export { readDirectoryWithStats }
